[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'video' (#rtl)

# InitVideo

Initialize video driver.

## Declaration

Source position: videoh.inc line 126

`procedure InitVideo;`

## Description

InitVideo Initializes the video subsystem. If the video system was already initialized, it does nothing. After the driver has been initialized, the VideoBuf and OldVideoBuf pointers are initialized, based on the ScreenWidth and ScreenHeight variables. When this is done, the screen is cleared.

For an example, see most other functions.

## Errors

if the driver fails to initialize, the ErrorCode variable is set.

## See also

DoneVideo |  | Disable video driver.